let
  sources = import ./sources.nix;
  haskell-nix = import sources."haskell.nix";
  nixpkgs = import sources.nixpkgs;
  pkgs = (nixpkgs haskell-nix).pkgs;
in {
  inherit nixpkgs haskell-nix pkgs;
  niv = (import sources.niv {}).niv;
  nix-tools = pkgs.haskell-nix.nix-tools;
}
