let
  lib = import ./nix/lib.nix;
  pkgs = lib.pkgs;
  hsPkgs = import ./default.nix { };
in
hsPkgs.shellFor {
  packages = ps: with ps; [
    dummy-app
  ];
  withHoogle = true;
  buildInputs = with pkgs.haskellPackages;
    [ hlint stylish-haskell ghcid lib.niv lib.pkgs.haskell-nix.cabal-install ];
  exactDeps = true;

}
